Bug 885195 (python-colander) - Review Request: python-colander - A simple schema-based serialization and deserialization library
Summary: Review Request: python-colander - A simple schema-based serialization and des...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: python-colander
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 885211
TreeView+ depends on / blocked
 
Reported: 2012-12-07 18:20 UTC by Ralph Bean
Modified: 2015-04-21 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-15 20:42:42 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-12-07 18:20:34 UTC
Spec URL: http://ralph.fedorapeople.org//python-colander.spec
SRPM URL: http://ralph.fedorapeople.org//python-colander-0.9.9-1.fc18.src.rpm

Description:
An extensible package which can be used to:

- deserialize and validate a data structure composed of strings, mappings,
  and lists.
- serialize an arbitrary data structure to a data structure composed of
  strings, mappings, and lists.

It runs on Python 2.6, 2.7 and 3.2.

Please see http://docs.pylonsproject.org/projects/colander/en/latest/ for
further documentation.

Comment 1 Ralph Bean 2012-12-07 18:20:40 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4767346

Comment 2 Mario Blättermann 2012-12-07 20:47:58 UTC
$ rpmlint -i -v *
python-colander.src: I: checking
python-colander.src: W: spelling-error Summary(en_US) deserialization -> serialization, materialization, denationalization
The value of this tag appears to be misspelled. Please double-check.

python-colander.src: W: spelling-error %description -l en_US deserialize -> serialize, desalinize
The value of this tag appears to be misspelled. Please double-check.

python-colander.src: I: checking-url http://pypi.python.org/pypi/colander (timeout 10 seconds)
python-colander.src: I: checking-url http://pypi.python.org/packages/source/c/colander/colander-0.9.9.tar.gz (timeout 10 seconds)
python-colander.noarch: I: checking
python-colander.noarch: W: spelling-error Summary(en_US) deserialization -> serialization, materialization, denationalization
The value of this tag appears to be misspelled. Please double-check.

python-colander.noarch: W: spelling-error %description -l en_US deserialize -> serialize, desalinize
The value of this tag appears to be misspelled. Please double-check.

python-colander.noarch: I: checking-url http://pypi.python.org/pypi/colander (timeout 10 seconds)
python-colander.noarch: W: hidden-file-or-dir /usr/share/doc/python-colander-0.9.9/docs/.static
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

python-colander.noarch: W: hidden-file-or-dir /usr/share/doc/python-colander-0.9.9/docs/.static
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

python-colander.spec: I: checking-url http://pypi.python.org/packages/source/c/colander/colander-0.9.9.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Just one issue of interest: There's a hidden folder in the docs. This doesn't make sense anyway, unless it is needed at runtime, but in this case it is not allowed, because files in the docs must not affect the package itself.

The folder contains a gif picture and a css stylesheet. As far as I can see, these files are needed to produce HTML formatted output from the *.rst files.

Comment 3 Ralph Bean 2012-12-08 02:53:27 UTC
Hm.  I believe I can just remove that folder without issue.

Comment 4 Ralph Bean 2012-12-08 02:55:43 UTC
New release with that folder removed.

SPEC: http://threebean.org/rpm/python-colander.spec
SRPM: http://threebean.org/rpm/python-colander-0.9.9-2.fc18.src.rpm

Comment 5 Mario Blättermann 2012-12-08 18:05:05 UTC
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4769259

$ rpmlint -i -v *(none): E: no installed packages by name colander-0.9.9.tar.gz
(none): E: no installed packages by name colander-0.9.9.tar.gz.orig
python-colander.src: I: checking
python-colander.src: W: spelling-error Summary(en_US) deserialization -> serialization, materialization, denationalization
The value of this tag appears to be misspelled. Please double-check.

python-colander.src: W: spelling-error %description -l en_US deserialize -> serialize, desalinize
The value of this tag appears to be misspelled. Please double-check.

python-colander.src: I: checking-url http://pypi.python.org/pypi/colander (timeout 10 seconds)
python-colander.src: I: checking-url http://pypi.python.org/packages/source/c/colander/colander-0.9.9.tar.gz (timeout 10 seconds)
python-colander.noarch: I: checking
python-colander.noarch: W: spelling-error Summary(en_US) deserialization -> serialization, materialization, denationalization
The value of this tag appears to be misspelled. Please double-check.

python-colander.noarch: W: spelling-error %description -l en_US deserialize -> serialize, desalinize
The value of this tag appears to be misspelled. Please double-check.

python-colander.noarch: I: checking-url http://pypi.python.org/pypi/colander (timeout 10 seconds)
python-colander.spec: I: checking-url http://pypi.python.org/packages/source/c/colander/colander-0.9.9.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Nothing of interest anymore.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    7802a2a73484ebb2b661491213a1ececbc4635d290be6df07879eb0a323b693a  colander-0.9.9.tar.gz
    7802a2a73484ebb2b661491213a1ececbc4635d290be6df07879eb0a323b693a  colander-0.9.9.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 6 Ralph Bean 2012-12-09 03:46:47 UTC
New Package SCM Request
=======================
Package Name: python-colander
Short Description: A simple schema-based serialization and deserialization library
Owners: ralph
Branches: f18 f17 el6
InitialCC:

Comment 7 Gwyn Ciesla 2012-12-10 13:28:32 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-12-10 14:58:58 UTC
python-colander-0.9.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-colander-0.9.9-2.fc17

Comment 9 Fedora Update System 2012-12-10 14:59:15 UTC
python-colander-0.9.9-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-colander-0.9.9-2.el6

Comment 10 Fedora Update System 2012-12-10 15:00:42 UTC
python-colander-0.9.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-colander-0.9.9-2.fc18

Comment 11 Ralph Bean 2012-12-10 15:02:29 UTC
Buildroot overrides have been created which should make building python-sqlalchemy-traversal possible.

Comment 12 Fedora Update System 2013-01-04 19:41:15 UTC
python-colander-0.9.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Mario Blättermann 2013-01-15 20:42:42 UTC
Packages for all the requested branches are present. I'll close this review request now.

Comment 14 Fedora Update System 2013-01-18 20:28:42 UTC
python-colander-0.9.9-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-01-18 20:52:42 UTC
python-colander-0.9.9-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Ralph Bean 2015-04-21 16:13:57 UTC
Package Change Request
======================
Package Name: python-colander
New Branches: epel7
Owners: ralph lmacken

Comment 17 Gwyn Ciesla 2015-04-21 16:38:07 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.